Bug 2121164

Summary: Please branch and build ppl in epel8 and epel9
Product: [Fedora] Fedora Reporter: Davide Cavalca <davide>
Component: pplAssignee: Davide Cavalca <davide>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: rawhideCC: bagnara, loganjerry, paulo.cesar.pereira.de.andrade
Target Milestone: ---Keywords: FutureFeature
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: ppl-1.2-24.el8 ppl-1.2-24.el9 Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2022-09-25 02:45:07 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Bug Depends On: 2121160, 2121163, 2124370    
Bug Blocks: 1914423, 2121171    

Description Davide Cavalca 2022-08-24 17:03:54 UTC
Please branch and build ppl in epel8 and epel9.

If you do not wish to maintain ppl in epel8 and epel9,
or do not think you will be able to do this in a timely manner,
the EPEL Packagers SIG would be happy to be a co-maintainer of the package;
please add the epel-packagers-sig group through
https://src.fedoraproject.org/rpms/ppl/addgroup
and grant it commit access, or collaborator access on epel* branches.

Comment 1 Jerry James 2022-08-24 17:57:03 UTC
I don't think either ppl maintainer is active in Fedora anymore.  I have used my provenpackager abilities in the past to maintain this package due to lack of responsiveness of the maintainers of record.

Comment 2 Davide Cavalca 2022-08-24 18:01:38 UTC
We can use the stalled EPEL package policy to unblock this ticket if needed: https://docs.fedoraproject.org/en-US/epel/epel-policy/#stalled_epel_requests

That said, if you know that the maintainer is inactive, you may wanna start the non-responsive maintainer process: https://docs.fedoraproject.org/en-US/fesco/Policy_for_nonresponsive_package_maintainers/

Comment 3 Davide Cavalca 2022-08-31 20:38:26 UTC
Will you be able to branch and build ppl in epel8 and epel9?
The EPEL Packagers SIG would be happy to be a co-maintainer
if you do not wish to build it on epel8 and epel9.

Comment 4 Roberto Bagnara 2022-09-01 07:19:50 UTC
Sorry, I noticed now that I am the assignee of this ticket.
I must say that I do not understand what is asked here,
but what I can say is that you can count on cooperation upstream.
Just write to ppl-devel.it a description of what is required.

Comment 5 Davide Cavalca 2022-09-01 16:44:12 UTC
Thanks Roberto, I don't thing upstream needs to do anything specific here, ppl builds out of the box on EPEL from what I can see. What we do need is for you (as maintainer of this package) to either branch and build it for EPEL 8 and EPEL 9, or to add the EPEL Packagers SIG as a co-maintainer so that we can do it on your behalf and help maintain this package in EPEL going forward. You can do that by adding the epel-packagers-sig group through
https://src.fedoraproject.org/rpms/ppl/addgroup
and granting it commit access, or collaborator access on epel* branches. Thanks!

Comment 6 Roberto Bagnara 2022-09-01 17:03:30 UTC
Done!
Please do not hesitate to get in touch if anything else is needed.
Thanks for your assistance.

Comment 7 Davide Cavalca 2022-09-01 18:05:01 UTC
Thanks! Branches requested:

$ fedpkg request-branch epel8
https://pagure.io/releng/fedora-scm-requests/issue/47255
$ fedpkg request-branch epel9
https://pagure.io/releng/fedora-scm-requests/issue/47256

Comment 8 Fedora Update System 2022-09-16 13:05:37 UTC
FEDORA-EPEL-2022-4fe1569611 has been submitted as an update to Fedora EPEL 8. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-4fe1569611

Comment 9 Fedora Update System 2022-09-17 02:42:36 UTC
FEDORA-EPEL-2022-4fe1569611 has been pushed to the Fedora EPEL 8 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-4fe1569611

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2022-09-17 05:45:32 UTC
FEDORA-EPEL-2022-6fec4c6e57 has been submitted as an update to Fedora EPEL 9. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-6fec4c6e57

Comment 11 Fedora Update System 2022-09-18 02:35:30 UTC
FEDORA-EPEL-2022-6fec4c6e57 has been pushed to the Fedora EPEL 9 testing repository.

You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2022-6fec4c6e57

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 12 Fedora Update System 2022-09-25 02:45:07 UTC
FEDORA-EPEL-2022-4fe1569611 has been pushed to the Fedora EPEL 8 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2022-09-26 01:47:51 UTC
FEDORA-EPEL-2022-6fec4c6e57 has been pushed to the Fedora EPEL 9 stable repository.
If problem still persists, please make note of it in this bug report.